<?php

/* ######################################################################

  IML DEPLOYMENT

  webgui - rollback

  ---------------------------------------------------------------------
  2014-02-18  Axel <axel.hahn@iml.unibe.ch>
  ###################################################################### */

require_once("./classes/project.class.php");


// --- Checks
$oPrj = new project($aParams["prj"]);

if (array_key_exists("par3", $aParams)) {
    $sPhase = $aParams["par3"];
}
if (array_key_exists("par4", $aParams)) {
    $sVersion = $aParams["par4"];
}

$sOut = '<h2>Rollback was not implemented yet</h2><a href="javascript: history.back();">zurück</a>';
if (array_key_exists("confirm", $aParams)) {
    $sOut.=$oPrj->queue($sPhase, $sVersion);
} else {

    if (!$sPhase) {
        $sOut.=$oHtml->getBox("error", t("error-no-phase"));
    } else {
        /*
          if (!$oPrj->canAcceptPhase($sPhase)){
          $sOut.="ERROR: the phase $sPhase cannot be accepted.";
          } else {
          $aPhaseData=$oPrj->getPhaseInfos($sPhase);
          $aConfigPrj=$oPrj->getConfig();
          $sUrl=$aConfigPrj["phases"][$sPhase]["url"];

          $sNext=$oPrj->getNextPhase($sPhase);
          $aPhaseData2=$oPrj->getPhaseInfos($sNext);

          $sOut.='
          <p>
          URL: <a href="'.$sUrl.'">'.$sUrl.'</a><br>
          Die Software wurde erfolgreich <span class="'.$sPhase.'">'.$sPhase.'</span> getestet und soll auf die n&auml;chste
          Phase <span class="'.$sNext.'">'.$sNext.'</span> ausgerollt werden?<br>
          </p>';
          if (
          array_key_exists("revision", $aPhaseData2["onhold"])
          && $aPhaseData2["onhold"]["revision"]==$aPhaseData["deployed"]["revision"]
          ){
          $sOut.=getBox("warning", "In der Queue von [$sNext] ist die Version von [$sPhase] bereits vorhanden!");
          }
          if (
          array_key_exists("revision", $aPhaseData2["ready2install"])
          && $aPhaseData2["ready2install"]["revision"]==$aPhaseData["deployed"]["revision"]
          ){
          $sOut.=getBox("warning", "Im Repo von [$sNext] ist die Version von [$sPhase] bereits vorhanden!");
          }
          $sOut.='
          <table>
          <thead>
          <tr>
          <th class="'.$sPhase.'">'.$sPhase.'</th>
          <th> </th>
          <th class="'.$sNext.'" colspan="2">'.$sNext.'</th>
          </tr>
          </thead>
          <tbody>
          <tr>
          <td class="'.$sPhase.'">
          auf dem Server ist installiert:<br>
          '.$oPrj->renderPhaseDetail($sPhase, "deployed", false).'
          </td>
          <td style="vertical-align: middle;">
          <img src="/deployment/images/nuvola64x64/apps/noatun.png">
          </td>
          <td class="'.$sNext.'">
          in der Queue:<br>
          '.$oPrj->renderPhaseDetail($sNext, "onhold", false).'
          </td>
          <td class="'.$sNext.'">
          im Repo:<br>
          '.$oPrj->renderPhaseDetail($sNext, "ready2install", false).'
          </td>
          </tr>
          </tbody>
          </table>
          <br>
          ';



          // Eingabe Kommentare zum Deployment
          $sOut.='

          <form action="?" method="post" enctype="multipart/form-data">
          <input type="hidden" name="confirm" value="1">
          <fieldset>
          <button type="submit" class="btn btn-primary btn-large" >Accept ['.$sPhase.'] and put to ['.$sNext.']</button>
          </fieldset>
          </form>
          ';
          }
         * 
         */
    }
}


$sOut.= '<div id="navbuttom">' . aPrjHome() . '</div>';


// -- Ausgabe
echo $sOut;
?>
